Subject: Re: What's cooking in git.git (Feb 2026, #04)

From: Phillip Wood <[email-masked]>
Date: Fri, 13 Feb 2026 16:06:07 +0000

On 12/02/2026 16:38, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
> 
>> On 10/02/2026 22:21, Junio C Hamano wrote:
>>>
>>> * pw/commit-msg-sample-hook (2026-02-07) 3 commits
>>>    - templates: detect messages that contain a separator line
>>>    - templates: detect commit messages containing diffs
>>>    - templates: add .gitattributes entry for sample hooks
>>>
>>>    Update sample commit-msg hook to complain when a log message has
>>>    material mailinfo considers the end of log message in the middle.
>>>
>>>    Will merge to 'next'?
>>>    source: <[email-masked]>
>>
>> I'm planning a re-roll to handle subject lines that start with "diff -"
>> after using this hook while preparing
>> <2a8c[email-masked]>.
>> Such subject lines are safe because "git format-patch" prefixes them
>> with [PATCH]. I think I'll probably drop the last patch as well.
> 
> OK.  Even though the "[PATCH] " prefix is optional in format-patch
> output, it will be on the line that begins with "Subject:", so it
> should be safe, so you can safely exclude the lines in the first
> paragraph of a commit message from the check.

Good point - I'd forgotten that the subject ends up in an email header. 
I've sent v2 as <[email-masked]>

Thanks

Phillip
> Thanks.